package sig.engine;

public class Point<T>{
	public T x,y;

	public Point(T x, T y) {
		super();
		this.x = x;
		this.y = y;
	}

	public T getX() {
		return x;
	}

	public void setX(T x) {
		this.x = x;
	}

	public T getY() {
		return y;
	}

	public void setY(T y) {
		this.y = y;
	}

	public void set(T x,T y) {
		setX(x);setY(y);
	}

	public void update(T x,T y) {
		set(x,y);
	}

	@Override
	public java.lang.String toString() {
		return "Point(" + x + "," + y + ")";
	}

	@Override
    public Point<T> clone() throws CloneNotSupportedException {
		return new Point<T>(x,y);
	}
}
